### Hierarchy

- Gaia

## Index

### Constructors

- constructor

### Properties

- listener

### Methods

- connect

## Constructors

### constructor

- new Gaia(listener?: IListener): Gaia

- - Defined in lib/Gaia.ts:8

  #### Parameters

  - ##### Optional listener: IListener

  #### Returns Gaia

## Properties

### Private listener

listener: IListener

- Defined in lib/Gaia.ts:8

## Methods

### connect

- connect(options: QueueOptions): Promise<Connection>

- - Defined in lib/Gaia.ts:19

  Connect the client to AIOS.

  #### Parameters

  - ##### options: QueueOptions

    the ID of the identity

  #### Returns Promise<Connection>

Generated using TypeDoc